Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

Note
titleWeb container (application server) support

Currently there are no plans to remove support for deployed midPoint installation using a WAR file. However, it is possible that this deployment form will get phased out eventually unless there are active subscribers preferring this deployment method. MidPoint subscription is strongly recommended if you plan to use this method in the future.

See also "Is Tomcat deployment still supported?" in the Frequently Asked Questions section.

Databases

  • H2 (embedded). Supported only in embedded mode. Not supported for production deployments. Only the version specifically bundled with midPoint is supported.
    H2 is intended only for development, demo and similar use cases. It is not supported for any production use. Also, upgrade of deployments based on H2 database are not supported.
  • PostgreSQL 9 (9.1, 9.2, 9.3, 9.4, 9.4.5, 9.5, 9.5.1). Support for PostgreSQL 9.4 and earlier is deprecated.
  • MariaDB (10.0.28)
  • MySQL 5.7 (5.7)
  • Oracle 12c
  • Microsoft SQL Server 2012, 2014. Microsoft SQL Server 2012 support is deprecated.

...